/*
 *   profileConfigDialog.h
 *
 *   Copyright (C) 2004 Waldo Bastian <bastian@kde.org>
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License version 2 as
 *   published by the Free Software Foundation.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
#ifndef _PROFILECONFIGDIALOG_H_
#define _PROFILECONFIGDIALOG_H_

#include <kdialogbase.h>

class ProfileConfigUI;

class ProfileConfigDialog : public KDialogBase
{
  Q_OBJECT
public:  
  ProfileConfigDialog(QWidget *parent, const QString &profile);
  ~ProfileConfigDialog();

  bool save();
  QString profile() { return m_profile; }

protected:
  void init();

protected slots:
  void slotProfileNameChanged();
  void slotOk();

private:
  ProfileConfigUI *w;
  QString m_profile;
  bool m_fixedProfileDir;
  QString m_origProfile;
  QString m_origInstallDir;
};

#endif
