/*
 *   userManagement.h
 *
 *   Copyright (C) 2004 Waldo Bastian <bastian@kde.org>
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License version 2 as
 *   published by the Free Software Foundation.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
#ifndef _USERMANAGEMENT_H_
#define _USERMANAGEMENT_H_

#include <kdialogbase.h>

class UserManagementUI;

class UserManagementDialog : public KDialogBase
{
  Q_OBJECT
public:  
  UserManagementDialog(QWidget *parent);
  ~UserManagementDialog();

  bool save();

protected:
  void init();

private slots:
  void slotAddGroup();
  void slotDeleteGroup();
  void slotAddUser();
  void slotDeleteUser();

  void slotUpdateButtons();
  void slotShowNotice();

private:
  UserManagementUI *w;
  QStringList m_allUsers;
  QStringList m_allGroups;
  QStringList m_allProfiles;
};

#endif
